clang 10.0.0git

Public Member Functions | Static Public Member Functions | Friends | List of all members
OMPDefaultmapClause Class Reference

This represents 'defaultmap' clause in the '#pragma omp ...' directive. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for OMPDefaultmapClause:
[legend]
Collaboration diagram for OMPDefaultmapClause:
[legend]

## Public Member Functions
| OMPDefaultmapClause (SourceLocation StartLoc, SourceLocation LParenLoc, SourceLocation MLoc, SourceLocation KLoc, SourceLocation EndLoc, OpenMPDefaultmapClauseKind Kind, OpenMPDefaultmapClauseModifier M)
| Build 'defaultmap' clause with defaultmap kind Kind. More...
| OMPDefaultmapClause ()
| Build an empty clause. More...
OpenMPDefaultmapClauseKind | getDefaultmapKind () const
| Get kind of the clause. More...
OpenMPDefaultmapClauseModifier | getDefaultmapModifier () const
| Get the modifier of the clause. More...
SourceLocation | getLParenLoc ()
| Get location of '('. More...
SourceLocation | getDefaultmapKindLoc ()
| Get kind location. More...
SourceLocation | getDefaultmapModifierLoc () const
| Get the modifier location. More...
child_range | children ()
const_child_range | children () const
child_range | used_children ()
const_child_range | used_children () const

## Static Public Member Functions
static bool | classof (const OMPClause *T)

## Friends
class | OMPClauseReader

## Detailed Description

This represents 'defaultmap' clause in the '#pragma omp ...' directive.

#pragma omp target defaultmap(tofrom: scalar)

In this example directive '#pragma omp target' has 'defaultmap' clause of kind 'scalar' with modifier 'tofrom'.

Definition at line 5668 of file OpenMPClause.h.

## Constructor & Destructor Documentation

## ◆ OMPDefaultmapClause() [1/2]

OMPDefaultmapClause::OMPDefaultmapClause | ( | SourceLocation | StartLoc,
|  | SourceLocation | LParenLoc,
|  | SourceLocation | MLoc,
|  | SourceLocation | KLoc,
|  | SourceLocation | EndLoc,
|  | OpenMPDefaultmapClauseKind | Kind,
|  | OpenMPDefaultmapClauseModifier | M
| ) |  |
| inline

Build 'defaultmap' clause with defaultmap kind Kind.

Parameters

  StartLoc | Starting location of the clause.
  LParenLoc | Location of '('.
  KLoc | Starting location of the argument.
  EndLoc | Ending location of the clause.
  Kind | Defaultmap kind.
  M | The modifier applied to 'defaultmap' clause.
  MLoc | Location of the modifier

Definition at line 5723 of file OpenMPClause.h.

## ◆ OMPDefaultmapClause() [2/2]

OMPDefaultmapClause::OMPDefaultmapClause | ( |  | ) |
| inline explicit

Build an empty clause.

Definition at line 5731 of file OpenMPClause.h.

## Member Function Documentation

## ◆ children() [1/2]

child_range OMPDefaultmapClause::children | ( |  | ) |
| inline

Definition at line 5753 of file OpenMPClause.h.

## ◆ children() [2/2]

const_child_range OMPDefaultmapClause::children | ( |  | ) | const
| inline

Definition at line 5757 of file OpenMPClause.h.

## ◆ classof()

static bool OMPDefaultmapClause::classof | ( | const OMPClause * | T | ) |
| inline static

Definition at line 5768 of file OpenMPClause.h.

## ◆ getDefaultmapKind()

OpenMPDefaultmapClauseKind OMPDefaultmapClause::getDefaultmapKind | ( |  | ) | const
| inline

Get kind of the clause.

Definition at line 5735 of file OpenMPClause.h.

Referenced by clang::ASTRecordWriter::writeOMPClause().

## ◆ getDefaultmapKindLoc()

SourceLocation OMPDefaultmapClause::getDefaultmapKindLoc | ( |  | ) |
| inline

Get kind location.

Definition at line 5746 of file OpenMPClause.h.

Referenced by clang::ASTRecordWriter::writeOMPClause().

## ◆ getDefaultmapModifier()

OpenMPDefaultmapClauseModifier OMPDefaultmapClause::getDefaultmapModifier | ( |  | ) | const
| inline

Get the modifier of the clause.

Definition at line 5738 of file OpenMPClause.h.

References Modifier.

Referenced by clang::ASTRecordWriter::writeOMPClause().

## ◆ getDefaultmapModifierLoc()

SourceLocation OMPDefaultmapClause::getDefaultmapModifierLoc | ( |  | ) | const
| inline

Get the modifier location.

Definition at line 5749 of file OpenMPClause.h.

References ModifierLoc.

Referenced by clang::ASTRecordWriter::writeOMPClause().

## ◆ getLParenLoc()

SourceLocation OMPDefaultmapClause::getLParenLoc | ( |  | ) |
| inline

Get location of '('.

Definition at line 5743 of file OpenMPClause.h.

Referenced by clang::ASTRecordWriter::writeOMPClause().

## ◆ used_children() [1/2]

child_range OMPDefaultmapClause::used_children | ( |  | ) |
| inline

Definition at line 5761 of file OpenMPClause.h.

## ◆ used_children() [2/2]

const_child_range OMPDefaultmapClause::used_children | ( |  | ) | const
| inline

Definition at line 5764 of file OpenMPClause.h.

## Friends And Related Function Documentation

## ◆ OMPClauseReader

friend class OMPClauseReader
| friend

Definition at line 5669 of file OpenMPClause.h.

The documentation for this class was generated from the following file:

- include/clang/AST/OpenMPClause.h